Skip to content
WP Engine Documentation

Requests a new backup of a WordPress installation

POST
/installs/{install_id}/backups
curl --request POST \
--url https://api.wpengineapi.com/v1/installs/example/backups \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "description": "Taking a backup of torquemag before I start developing new features for it", "notification_emails": [ "myself@torquemag.com", "other_person_interested_in_backup@torquemag.com" ] }'

Kicks off a backup of a WordPress installation.

install_id
required
string format: uuid

ID of install

Properties
  • description - required - A description of this backup.
  • notification_emails - required - The email address(es) that will receive an email once the backup has completed.
Media type application/json
object
description
required

A description of this backup.

string
notification_emails
required

The email address(es) that will receive an email once the backup has completed.

Array<string>
Example
{
"description": "Taking a backup of torquemag before I start developing new features for it",
"notification_emails": [
"myself@torquemag.com",
"other_person_interested_in_backup@torquemag.com"
]
}

Accepted

Media type application/json
object
id
required

The unique identifier of the backup

string format: uuid
status
required

State of the backup.

string
Allowed values: requested in_progress completed aborted
description

Human-readable description provided when the backup was requested

string
create_time

Timestamp when the backup was created

string format: date-time
complete_time

Timestamp when the backup completed. null while the backup is still in progress.

string format: date-time
wordpress_version

WordPress version of the install at the time the backup was taken

string
Example
{
"id": "e41fa98f-ea80-4654-b229-a9b765d0863a",
"status": "requested",
"description": "Pre-deploy snapshot",
"create_time": "2024-01-15T10:00:00Z",
"complete_time": "2024-01-15T10:30:00Z",
"wordpress_version": "6.4.2"
}

Bad Request

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid Site: Name cannot be empty.",
"errors": [
{
"resource": "Site",
"field": "name",
"type": "invalid_value",
"code": "too_long",
"message": "Name is too long (maximum is 40 characters)"
}
]
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json

Service unavailable

Media type application/json